AGTCloud API Docs
GuidesAPI ReferenceIntegrations and resourcesUpdate and help
Image generationHiggsfield

Get task

Check a Soul 2 task and retrieve the generated image URLs.

GET/requests/{request_id}/status

Keep polling while queued or in_progress. When completed, retrieve images from images[].url. Stop polling on failed, nsfw, or canceled.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

request_id*string

Task ID returned by a text-to-image or image-to-image submission.

Response Body

application/json

application/json

application/json

Higgsfield Get taskNative API reference for querying a task.